<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/base.css">
        <script src="./js/auth.js"></script>
    <title>Course</title>
</head>
<body>
    <div class="header">
        <ul id = "menu">
            <li><a href="student.html">Student</a></li>
            <li style = "background-color: rgb(14, 14, 14)"><a href="course.html">Course</a></li>
            <li><a href="enroll.html">Enrollment</a></li>
            <li id = "Logout" onclick="logout()">Logout</li>
        </ul>
    </div>
    <div class="container1">
        <h3>Course Detail</h3>
        <div>
            <div class="row">
                <div class="col-1">
                    <label for="cID">Course ID : </label>
                </div>
                <div class="col-2">
                    <input type="text" id="cid" name="courseID" placeholder="CSC103" >
                </div>
            </div>
            <div class="row">
                <div class="col-1">
                    <label for="cname">Course Name : </label>
                </div>
                <div class="col-2">
                    <input type="text" id="cname" name="coursename" >
                </div>
            </div>
            <br>
            <div class="row">
                <button id ="add-button" onclick="addCourse()">Add</button>
            </div>
        </div>
      </div>
      <hr width="65%">
      <div class="container2">
          <h3>Courses Available</h3>
          <table id="CourseTable">
              <tr>
                  <th>Course ID</th>
                  <th>Course Name</th>
                  <th></th>
                  <th></th>
              </tr>
          </table>
      </div>
    <script src="js/course.js"></script>
    <script src="js/login.js"></script>
    <!-- <script>
        
function addCourse(){
    var data = getFormValue()
    var Cid = data.cid

    if (Cid == ""){
        alert("Course ID cannot be empty")
        return
    }else if (data.Coursename == ""){
        alert("Course Name cannot be empty")
        return
    }

    fetch("/course", {
        method:"POST",
        body: JSON.stringify(data),
        headers: { "Content-type": "application/json; charset=UTF-8"},
    })
    .then((response1) => {
        if (response1.ok){
            fetch("/course/" + Cid)
            .then((response2)=> response2.text())
            .then((data) => {
                console.log("Then data")
                showCourse(data)
                console.log(showCourse(data))
                console.log("Then data, showCourse(data)");
            });
        }else{
            throw new Error(response1.statusText);
        }
    })
    .catch((e) => {
        alert(e)
    });
    resetform();
}

//helper function get form value
function getFormValue() {
    var formValue = {
        cid: document.getElementById("cid").value,
        Coursename: document.getElementById("cname").value,
    }
    console.log(formValue)
    return formValue
}
    </script> -->


</body>
</html>